For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a demo
  • Introduction
    • Welcome
    • SDK
  • API Principles
    • Design Principles
    • Endpoint Availability
    • Versioning & Releases
    • Breaking Changes
    • Conventions
  • Developer API
  • Marketplace API
  • Platform API
      • GETGet Signing Secret
      • POSTRegenerate Signing Secret
      • GETGet Customer Config
      • PATCHUpdate Customer Config
Get a demo
LogoLogo
Platform APISettings

Update Customer Config

Beta
PATCH
/platform/settings/v1/config
PATCH
/platform/settings/v1/config
$curl -X PATCH https://api.upshift.dev/platform/settings/v1/config \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "name": "name",
3 "faviconUrl": "faviconUrl",
4 "logoUrl": "logoUrl"
5}
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringOptional
faviconIdstringOptional
logoIdstringOptional

Response

This endpoint returns an object.
namestring
faviconUrlstring
logoUrlstring

Errors

404
Not Found Error
422
Unprocessable Content Error